Bug 345071

Summary: udevd relabelling /dev/par0
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 7CC: cyostendorf, dwalsh, harald, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:43:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tim Waugh 2007-10-22 07:16:05 EDT
Description of problem:
On a fresh installation of Fedora 7 I get AVC messages from switching on/off a
USB printer.  I haven't entirely narrowed down exactly what event triggers it.

Version-Release number of selected component (if applicable):
udev-113-12.fc7
selinux-policy-targeted-2.6.4-48.fc7

How reproducible:
Happens fairly often

Actual results:
type=AVC msg=audit(1193049275.168:136): avc:  denied  { relabelfrom } for 
pid=30030 comm="udevd" name="par0" dev=tmpfs ino=820907
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:device_t:s0 tclass=lnk_file

Additional info:
[root@cyberelk ~]# ls -l /dev/par0 
lrwxrwxrwx 1 root root 3 2007-10-22 11:35 /dev/par0 -> lp0
[root@cyberelk ~]# rpm -qf /dev/par0
file /dev/par0 is not owned by any package
[root@cyberelk ~]# ls -Z /dev/par0 /dev/lp0
crw-rw----  root lp   system_u:object_r:printer_device_t /dev/lp0
lrwxrwxrwx  root root system_u:object_r:device_t       /dev/par0 -> lp0
Comment 1 Daniel Walsh 2007-10-22 09:01:01 EDT
This looks like a bug in udev.  udev should not be relableing a symlink to
printer_device_t.  matchpatchon("/dev/par0", SYMLINK) returns device_t,   So
this seems like a udev bug.
Comment 2 Harald Hoyer 2007-10-22 10:49:56 EDT
should udev relabel a symlink at all?
Comment 3 Daniel Walsh 2007-10-22 11:25:42 EDT
Not in current policy.  Current policy expects all symlinks to be device_t.  So
you either need to call matchpatchon with the correct stat and this would get
back device_t.  Or do nothing.
Comment 4 Harald Hoyer 2008-02-20 06:09:43 EST
*** Bug 358861 has been marked as a duplicate of this bug. ***
Comment 5 Harald Hoyer 2008-02-20 13:26:48 EST
hopefully, udev-118-5.fc9
Comment 6 Bug Zapper 2008-05-14 10:49:26 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:43:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.